4

This question already has an answer here:

When I open TeX Live Utility (version 1.30) I get a warning message that

Your TeX Live version is 2016, but your default repository URL appears to be for TeX Live 2017. You need to manually upgrade to a newer version of TeX Live, as there will be no further updates for your version.

even though Live Utility shows 2017 as the current version in its on version selection dialog:

and I can find no other place where anything other than the 2017 version is configured:

$ tex --version
TeX 3.14159265 (TeX Live 2017)
kpathsea version 6.2.3
Copyright 2017 D.E. Knuth.
...

$ latex --version
pdfTeX 3.14159265-2.6-1.40.18 (TeX Live 2017)
kpathsea version 6.2.3
Copyright 2017 Han The Thanh (pdfTeX) et al.
...
Primary author of pdfTeX: Han The Thanh (pdfTeX) et al.
Compiled with libpng 1.6.29; using libpng 1.6.29
Compiled with zlib 1.2.11; using zlib 1.2.11
Compiled with xpdf version 3.04

$ pdflatex --version
pdfTeX 3.14159265-2.6-1.40.18 (TeX Live 2017)
kpathsea version 6.2.3
Copyright 2017 Han The Thanh (pdfTeX) et al.
…
Compiled with libpng 1.6.29; using libpng 1.6.29
Compiled with zlib 1.2.11; using zlib 1.2.11
Compiled with xpdf version 3.04

$ tlmgr --version
tlmgr revision 44836 (2017-07-18 01:59:48 +0200)
tlmgr using installation: /usr/local/texlive/2017
TeX Live (http://tug.org/texlive) version 2017

$ tlmgr conf texmf
texmf configuration values (from /usr/local/texlive/2017/texmf.cnf):
TEXMFHOME = ~/Library/texmf
TEXMFVAR = ~/Library/texlive/2017/texmf-var
TEXMFCONFIG = ~/Library/texlive/2017/texmf-config

$ tlmgr update --list
tlmgr: package repository http://mirrors.rit.edu/CTAN/systems/texlive/tlnet (verified)
tlmgr: saving backups to /usr/local/texlive/2017/tlpkg/backups

If I choose Upgrade from the TLU error dialog, I end up right back where I started.

Why am I getting this error? Is there some other place (beyond those listed above showing the correct version) where TLU might be looking and getting the impression that an older version of TeX Live is in use?

Since encountering this error I've just been using tlmgr directly, to maintain my TeX installation, with no problems.


$ tlmgr conf
=========================== version information ==========================
tlmgr revision 44836 (2017-07-18 01:59:48 +0200)
tlmgr using installation: /usr/local/texlive/2017
TeX Live (http://tug.org/texlive) version 2017

==================== executables found by searching PATH =================
PATH: /Library/TeX/texbin:/usr/local/Caskroom/google-cloud-sdk/latest/google-cloud-sdk/bin:/Users/Roy/.cabal/bin:/usr/local/opt/python/libexec/bin:/usr/local/bin:/usr/bin:/bin:/usr/sbin:/sbin:/Users/Roy/bin:/opt/X11/bin:/usr/local/MacGPG2/bin:/Library/TeX/texbin
kpsewhich: /Library/TeX/texbin/kpsewhich
updmap: /Library/TeX/texbin/updmap
fmtutil: /Library/TeX/texbin/fmtutil
tlmgr: /Library/TeX/texbin/tlmgr
tex: /Library/TeX/texbin/tex
pdftex: /Library/TeX/texbin/pdftex
mktexpk: /Library/TeX/texbin/mktexpk
dvips: /Library/TeX/texbin/dvips
dvipdfmx: /Library/TeX/texbin/dvipdfmx
=========================== active config files ==========================
texmf.cnf: /usr/local/texlive/texmf-local/web2c/texmf.cnf
texmf.cnf: /usr/local/texlive/2017/texmf.cnf
texmf.cnf: /usr/local/texlive/2017/texmf-dist/web2c/texmf.cnf
updmap.cfg: /usr/local/texlive/texmf-local/web2c/updmap.cfg
updmap.cfg: /usr/local/texlive/2017/texmf-dist/web2c/updmap.cfg
fmtutil.cnf: /usr/local/texlive/2017/texmf-dist/web2c/fmtutil.cnf
config.ps: /usr/local/texlive/2017/texmf-config/dvips/config/config.ps
mktex.cnf: /usr/local/texlive/2017/texmf-dist/web2c/mktex.cnf
pdftexconfig.tex: /usr/local/texlive/2017/texmf-config/tex/generic/config/pdftexconfig.tex
============================= font map files =============================
psfonts.map: /usr/local/texlive/2017/texmf-var/fonts/map/dvips/updmap/psfonts.map
pdftex.map: /usr/local/texlive/2017/texmf-var/fonts/map/pdftex/updmap/pdftex.map
ps2pk.map: /usr/local/texlive/2017/texmf-var/fonts/map/dvips/updmap/ps2pk.map
kanjix.map: /usr/local/texlive/2017/texmf-var/fonts/map/dvipdfmx/updmap/kanjix.map
=========================== kpathsea variables ===========================
TEXMFMAIN=/usr/local/texlive/2017/texmf-dist
TEXMFDIST=/usr/local/texlive/2017/texmf-dist
TEXMFLOCAL=/usr/local/texlive/texmf-local
TEXMFSYSVAR=/usr/local/texlive/2017/texmf-var
TEXMFSYSCONFIG=/usr/local/texlive/2017/texmf-config
TEXMFVAR=/Users/Rax/Library/texlive/2017/texmf-var
TEXMFCONFIG=/Users/Rax/Library/texlive/2017/texmf-config
TEXMFHOME=/Users/Rax/Library/texmf
VARTEXFONTS=/Users/Rax/Library/texlive/2017/texmf-var/fonts

marked as duplicate by StrongBad, TeXnician, Joseph Wright Nov 7 '17 at 7:09

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • Do you have the active TeX Live distribution set to 2016 in your preferences? That is, using the preference pane thing? (Though I'd think this would match your output above, but don't know.) – cfr Aug 21 '17 at 13:06
  • @cfr: That's possible (I wondered about that): I'm not sure what was current when I deleted it (as instructed). Nor, for that matter, where it would have lodged "2016" if that's what's going on. – orome Aug 21 '17 at 13:08
  • Oh, that doesn't exist any more? – cfr Aug 21 '17 at 13:10
  • Can you try to change the active distribution in TLU to 2016 and then back to 2017? What repository are you using in TLU? – Herb Schulz Aug 21 '17 at 14:43
  • @HerbSchulz: I've tired that a few times to no avail. And I've tried several repos, including the one listed by tlmgr: http://mirrors.rit.edu/CTAN/systems/texlive/tlnet. – orome Aug 21 '17 at 14:50
6

At some point, you manually set a path in TeX Live Utility's Preferences window, and now you need to fix it. If you installed via MacTeX, the correct path will be /Library/TeX/texbin. If you installed it elsewhere, you'll need to figure out the appropriate setting (it's wherever tlmgr lives). TeX Live Utility Preferences

Not the answer you're looking for? Browse other questions tagged or ask your own question.